Bug 221546 - f-spot screensaver doesnt work after upgrade from fc5 to fc6
f-spot screensaver doesnt work after upgrade from fc5 to fc6
Product: Fedora
Classification: Fedora
Component: f-spot (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
Depends On:
  Show dependency treegraph
Reported: 2007-01-04 19:38 EST by Dylan Boudreau
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-08 20:46:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 348323 None None None Never

  None (edit)
Description Dylan Boudreau 2007-01-04 19:38:07 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv: Gecko/20061204 Firefox/

Description of problem:
The screen saver for f-spot does not work after an upgrade from fc5 to fc6 using the fc6 dvd.  I tried uninstalling and reinstalling f-spot.  All my photos are still in f-spot and are tagged properly but when the screen saver kicks in it doesn't display any pictures.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.install FC5 and setup f-spot and get screen saver running
2.upgrade to fc6 and then try and use the f-spot screensavers

Actual Results:

Expected Results:
screen saver should have worked

Additional info:
Comment 1 Stefan Plewako 2007-05-05 23:25:46 EDT
AFAIK this is not related to the way you install FC6, but to the package itself
(and/or gnome-screensaver).

From http://bugzilla.gnome.org/show_bug.cgi?id=348323 :
"In Gnome 2.16, gnome-screensaver uses /usr/share/applications/screensavers.
f-spot installs f-spot-screensaver.desktop to
/usr/share/gnome-screensaver/themes, so it does not show up in

Until somebody will fix that, it may be (for me, with f-spot-0.3.5-2.fc7, it is)
some solution to create symlink to that file in screensavers directory (type
from root: ln -s /usr/share/gnome-screensaver/themes/f-spot-screensaver.desktop
/usr/share/applications/screensavers/f-spot-screensaver.desktop ).
Comment 2 Christopher Aillon 2007-05-06 00:23:35 EDT
Does it actually work if you create that symlink?
Comment 3 Stefan Plewako 2007-06-05 15:21:20 EDT
For me: Yes - sorry if that was unclear.

I have upgraded FC5 to FC6 via Yum but on 32bit machine, and get IMHO the same
Comment 4 Luis Villa 2007-07-01 14:51:03 EDT
This is not 64-bit specific, and happens in F7 as well. The subject, arch, and
distro should all be fixed.
Comment 5 Stefan Plewako 2007-07-03 15:30:53 EDT
Exactly the same bug on F7, i386, fresh install, as well as symlink trick.
Comment 6 Luis Villa 2007-10-06 11:20:01 EDT
This is fixed in f8 t3. Should be closed.

Note You need to log in before you can comment on or make changes to this bug.